Package: org.codehaus.groovy.grails.orm.support

## [Groovy] Class ThrowableHolder

- org.codehaus.groovy.grails.orm.support.GrailsTransactionTemplate.ThrowableHolder

- Internal holder class for a Throwable, used as a return value from a TransactionCallback (to be subsequently unwrapped again).

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTransactionTemplate.ThrowableHolder (java.lang.Throwable throwable)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Throwable` | `getThrowable()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### GrailsTransactionTemplate.ThrowableHolder(java.lang.Throwable throwable)

  - ### Method Detail

    - #### java.lang.Throwable getThrowable()